LKML Archive on lore.kernel.org
help / color / mirror / Atom feed
* [PATCH v2] selftests: netfilter: missing error check when setting up veth interface
@ 2019-05-15 6:44 Jeffrin Jose T
2019-05-21 18:11 ` Pablo Neira Ayuso
0 siblings, 1 reply; 3+ messages in thread
From: Jeffrin Jose T @ 2019-05-15 6:44 UTC (permalink / raw)
To: pablo
Cc: fw, shuah, linux-kselftest, linux-kernel, netfilter-devel,
Jeffrin Jose T
A test for the basic NAT functionality uses ip command which
needs veth device.There is a condition where the kernel support
for veth is not compiled into the kernel and the test script
breaks.This patch contains code for reasonable error display
and correct code exit.
Signed-off-by: Jeffrin Jose T <jeffrin@rajagiritech.edu.in>
---
tools/testing/selftests/netfilter/nft_nat.sh | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/tools/testing/selftests/netfilter/nft_nat.sh b/tools/testing/selftests/netfilter/nft_nat.sh
index 8ec76681605c..f25f72a75cf3 100755
--- a/tools/testing/selftests/netfilter/nft_nat.sh
+++ b/tools/testing/selftests/netfilter/nft_nat.sh
@@ -23,7 +23,11 @@ ip netns add ns0
ip netns add ns1
ip netns add ns2
-ip link add veth0 netns ns0 type veth peer name eth0 netns ns1
+ip link add veth0 netns ns0 type veth peer name eth0 netns ns1 > /dev/null 2>&1
+if [ $? -ne 0 ];then
+ echo "SKIP: No virtual ethernet pair device support in kernel"
+ exit $ksft_skip
+fi
ip link add veth1 netns ns0 type veth peer name eth0 netns ns2
ip -net ns0 link set lo up
--
2.20.1
^ permalink raw reply [flat|nested] 3+ messages in thread
* Re: [PATCH v2] selftests: netfilter: missing error check when setting up veth interface
2019-05-15 6:44 [PATCH v2] selftests: netfilter: missing error check when setting up veth interface Jeffrin Jose T
@ 2019-05-21 18:11 ` Pablo Neira Ayuso
2019-05-22 14:29 ` Jeffrin Thalakkottoor
0 siblings, 1 reply; 3+ messages in thread
From: Pablo Neira Ayuso @ 2019-05-21 18:11 UTC (permalink / raw)
To: Jeffrin Jose T; +Cc: fw, shuah, linux-kselftest, linux-kernel, netfilter-devel
On Wed, May 15, 2019 at 12:14:04PM +0530, Jeffrin Jose T wrote:
> A test for the basic NAT functionality uses ip command which
> needs veth device.There is a condition where the kernel support
> for veth is not compiled into the kernel and the test script
> breaks.This patch contains code for reasonable error display
> and correct code exit.
Applied, thanks.
^ permalink raw reply [flat|nested] 3+ messages in thread
* Re: [PATCH v2] selftests: netfilter: missing error check when setting up veth interface
2019-05-21 18:11 ` Pablo Neira Ayuso
@ 2019-05-22 14:29 ` Jeffrin Thalakkottoor
0 siblings, 0 replies; 3+ messages in thread
From: Jeffrin Thalakkottoor @ 2019-05-22 14:29 UTC (permalink / raw)
To: Pablo Neira Ayuso
Cc: Florian Westphal, Shuah Khan, linux-kselftest, lkml, netfilter-devel
Thanks to all !
On Tue, May 21, 2019 at 11:41 PM Pablo Neira Ayuso <pablo@netfilter.org> wrote:
>
> On Wed, May 15, 2019 at 12:14:04PM +0530, Jeffrin Jose T wrote:
> > A test for the basic NAT functionality uses ip command which
> > needs veth device.There is a condition where the kernel support
> > for veth is not compiled into the kernel and the test script
> > breaks.This patch contains code for reasonable error display
> > and correct code exit.
>
> Applied, thanks.
--
software engineer
rajagiri school of engineering and technology
^ permalink raw reply [flat|nested] 3+ messages in thread
end of thread, other threads:[~2019-05-22 14:30 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-05-15 6:44 [PATCH v2] selftests: netfilter: missing error check when setting up veth interface Jeffrin Jose T
2019-05-21 18:11 ` Pablo Neira Ayuso
2019-05-22 14:29 ` Jeffrin Thalakkottoor
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).